﻿/*
 * Copyright 2009-11 Williams Technologies Limtied.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Kajbity is a trademark of Williams Technologies Limited.
 *
 * http://www.kajabity.com
 */
using System;
using System.Collections;
using System.Xml.Serialization;

namespace Event_Manager
{
	/// <summary>
	/// Holds one month's worth of events - automatically parsing or outputting the "month" attribute.
	/// </summary>
	public class ThistleEventMonth
	{
		private string month;

		[XmlIgnore]
		public DateTime Date;

		[XmlAttribute("month")]
		public string Month
		{
			get
			{
				return month;
			}
			set
			{
				Date = DateTime.Parse( "1 " + value );
				this.month = String.Format( "0:MMMM yyyy", Date );
			}
		}

		[XmlElement("Event", typeof(ThistleEvent))]
		public ArrayList ThistleEvents;

		public ThistleEventMonth()
		{
		}

		public ThistleEventMonth( DateTime date )
		{
			this.Date = date;
			this.month = String.Format( "0:MMMM yyyy", date );
		}
	}
}
