﻿/*
 * Copyright 2009-11 Williams Technologies Limtied.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Kajbity is a trademark of Williams Technologies Limited.
 *
 * http://www.kajabity.com
 */
using System;
using System.IO;
using System.Text;
using System.Xml;
using System.Xml.Serialization;

namespace Event_Manager
{
	/// <summary>
	/// A few helper methods for XML conversions.
	/// </summary>
	public class XmlUtils
	{
		private XmlUtils()
		{
		}

		public static string ToShortDateString( DateTime? dt )
		{
			if( dt.HasValue )
			{
				return dt.Value.ToShortDateString();
			}
			else
			{
				return "";
			}
		}
		
		public static string ToString( object o )
		{
			if( o == null )
			{
				return null;
			}
			else if( o is XmlNode[] )
			{
				StringBuilder builder = new StringBuilder();
				foreach( XmlNode node in (XmlNode[]) o )
				{
					builder.Append( node.OuterXml );
				}
				
				return builder.ToString();
			}
			else if( o.GetType().Name.Equals( "Object" ) )
			{
				return "";
			}
			else
			{
				return o.ToString();
			}
		}

		public static XmlNode FromString( string text )
		{
			XmlTextReader xmlReader = new XmlTextReader( new StringReader( "<X>" + text + "</X>" ) );
			XmlDocument xmlDocument = new XmlDocument();
			XmlNode node = xmlDocument.ReadNode( xmlReader );

			return node;
		}
	}
}
